<?php

namespace TB\BenzerKonular\XF\Pub\Controller;

use XF\Mvc\ParameterBag;

class Thread extends XFCP_Thread
{
	public function actionIndex(ParameterBag $params)
	{		
		$parent = parent::actionIndex($params);
		
        if (!$parent instanceof \XF\Mvc\Reply\View)
        {
            return $parent;
        }
	
		$visitor = \XF::visitor();				

		if (!$visitor->hasPermission('benzerKonular', 'view'))
		{
			return $parent;
		}
		
		$options = \XF::options();	
			
		$thread = $this->assertViewableThread($params->thread_id);		
		
		$currentNodeId = $thread->node_id;

		$currentThreadId = $thread->thread_id;
		
		$threadTitle = $thread->title;
				
		$benzerKonular = $this->getBenzerKonularRepo()->getBenzerKonular($currentNodeId, $currentThreadId, $threadTitle);
		
		$parent->setParams([
		   'benzerKonular' => $benzerKonular
		]);	

		return $parent;	
	}
	
	protected function getBenzerKonularRepo()
	{
	   return $this->repository('TB\BenzerKonular:BenzerKonular');
	}
}